Package org.opensaml.xacml.policy.impl

# Class VariableReferenceTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.VariableReferenceTypeImpl

All Implemented Interfaces:
  `XMLObject`, `ExpressionType`, `VariableReferenceType`, `XACMLObject`

public class VariableReferenceTypeImpl extends AbstractXACMLObject implements VariableReferenceType
Implementation of `VariableReferenceType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ExpressionType>`
`expressions`
List or expressions.
`private String`
`valiableId`
Variable id.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.VariableReferenceType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME_XACML20, TYPE_LOCAL_NAME, TYPE_NAME_XACML20, VARIABLE_ID_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`VariableReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<ExpressionType>`
`getExpressions()`
Gets the expressions for this definition.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getVariableId()`
Gets the ID of the referenced variable.
`void`
`setVariableId(String id)`
Sets the ID of the referenced variable.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### expressions

private XMLObjectChildrenList<ExpressionType> expressions
List or expressions.

### valiableId

private String valiableId
Variable id.

## Constructor Details

### VariableReferenceTypeImpl

protected VariableReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getExpressions

public List<ExpressionType> getExpressions()
Gets the expressions for this definition.

Specified by:
  `getExpressions` in interface `VariableReferenceType`
Returns:
  expressions for this definition

### getVariableId

public String getVariableId()
Gets the ID of the referenced variable.

Specified by:
  `getVariableId` in interface `VariableReferenceType`
Returns:
  ID of the referenced variable

### setVariableId

public void setVariableId(String id)
Sets the ID of the referenced variable.

Specified by:
  `setVariableId` in interface `VariableReferenceType`
Parameters:
  `id` - ID of the referenced variable

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements